/*!
    @header BTCGExtensions.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 01/15/2007
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <SMKCGExtensions/CGEFloat.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGGeometry.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGPath.h>

CG_EXTERN CGRect BTCGPathGetBounds(CGPathRef path);
CG_EXTERN CGMutablePathRef BTCGPathCreateMutableCopyInscribedInRect(CGPathRef path, CGRect rect);

CG_EXTERN CGPathRef BTCGPathCreateCopyWithSmoothedCorners(CGPathRef path);
CG_EXTERN CGMutablePathRef BTCGPathCreateMutableCopyWithSmoothedCorners(CGPathRef path);
