/*!
    @header BTCGImage.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 01/23/2007
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSObject.h>
#import <SMKBitmapTools/BTImage.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGImage.h>

/*!
    @class BTCGImage
    @abstract Generic representation of a Core Graphics image.
*/
@interface BTCGImage : NSObject<BTCGImage, BTCocoaImage>
{
@private
    CGImageRef _image;
}

- (id)initWithCGImage:(CGImageRef)image; // Designated initializer.

@end
