/*!
    @header BTNSData.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 2007/03/24
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSData.h>

#define BTConstantArrayData(T, ...) ({ T __a[] = {__VA_ARGS__}; [NSData dataWithBytes:__a length:sizeof(__a)]; })
#define BTMutableArrayData(T, ...) ({ T __a[] = {__VA_ARGS__}; [NSMutableData dataWithBytes:__a length:sizeof(__a)]; })

#define BTConstantArray(T, ...) ((T const*)[BTConstantArrayData(T, __VA_ARGS__) bytes])
#define BTMutableArray(T, ...) ((T*)[BTMutableArrayData(T, __VA_ARGS__) mutableBytes])
