/*!
    @header BTNSImage.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 01/25/2007
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSObject.h>
#import <SMKBitmapTools/BTImage.h>

/*!
    @class BTNSImage
*/
@interface BTNSImage : NSObject<BTCocoaImage, BTCocoaMutableImage, BTCGImage, BTCGMutableImage>
{
@private
    NSImage* _image;
    NSGraphicsContext* _imageContext;
}

- (id)initWithNSImage:(NSImage*)image; // Designated initializer.

@end
