/*!
    @header NSBezierPathBTCGExtensions.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 12/19/2006
    @copyright Copyright (c) 2006 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSBezierPath.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGPath.h>

/*!
    @category NSBezierPath(BTCoreGraphicsExtensions)
*/
@interface NSBezierPath(BTCoreGraphicsExtensions)

+ (id)BT_bezierPathWithCGPath:(CGPathRef)path;

- (CGMutablePathRef)BT_coreGraphicsPath;

@end
