/*!
    @header NSBezierPathBTPixelizing.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 12/08/2006
    @copyright Copyright (c) 2006 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSBezierPath.h>

/*!
    @category NSBezierPath(BTPixelizing)
*/
@interface NSBezierPath(BTPixelizing)

- (NSBezierPath*)BT_bezierPathByPixelizingPathWithStep:(NSSize)pixelizationStep;

@end
