/*!
    @header NSImageBTClipping.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 12/08/2006
    @copyright Copyright (c) 2006 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSImage.h>

@class NSBezierPath;

/*!
    @category NSImage(BTClipping)
*/
@interface NSImage(BTClipping)

// `cutImagePtr' may be nil.
- (NSImage*)BT_imageByCuttingOutBezierPath:(NSBezierPath*)cutPath antialiased:(BOOL)antialiasingFlag intoImage:(NSImage**)cutImagePtr;

- (NSImage*)BT_imageByCroppingWithBezierPath:(NSBezierPath*)cutPath antialiased:(BOOL)antialiasingFlag;

@end
