/*!
    @header NSImageBTImage.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 01/26/2007
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSObject.h>

@protocol BTCGImage, BTCocoaImage;

/*!
    @category NSImage(BTImage)
*/
@interface NSImage(BTImage)

+ (id)BT_imageWithBTCGImage:(id<BTCGImage>)coreGraphicsImage;
+ (id)BT_imageWithBTCocoaImage:(id<BTCocoaImage>)cocoaImage;

@end
