/*!
    @header NSImageRepBTImage.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 01/26/2007
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSImageRep.h>

@protocol BTCGImage, BTCocoaImage;

/*!
    @category NSImageRep(BTImage)
*/
@interface NSImageRep(BTImage)

+ (id)BT_imageRepWithBTCGImage:(id<BTCGImage>)coreGraphicsImage;
+ (id)BT_imageRepWithBTCocoaImage:(id<BTCocoaImage>)cocoaImage;

@end
