/*!
    @header NSValueBTNSInteger.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 12/28/2006
    @copyright Copyright (c) 2006 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSValue.h>
#import <SMKBitmapTools/BTNSObjCRuntime.h>

/*!
    @class NSValue(BTNSInteger)
*/
@interface NSNumber(BTNSInteger)

+ (NSNumber*)BT_numberWithInteger:(NSInteger)value;
+ (NSNumber*)BT_numberWithUnsignedInteger:(NSUInteger)value;

- (id)BT_initWithInteger:(NSInteger)value;
- (id)BT_initWithUnsignedInteger:(NSUInteger)value;

- (NSInteger)BT_integerValue;
- (NSUInteger)BT_unsignedIntegerValue;

@end
