/*!
    @header CGEContext.h
    @project SMKCGExtensions
    @author Alexey Navrotsky
    @creation_date 2008/11/21
    @copyright Copyright (c) 2008 The Software MacKiev Company. All rights reserved.
*/

#ifndef CGEContext_H_
#define CGEContext_H_

#include <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGContext.h>
#include <CoreFoundation/CFBase.h>
#include <CoreFoundation/CFDictionary.h>

CG_EXTERN_C_BEGIN

CG_EXTERN CFTypeRef CGEContextGetAttachmentForKey(CGContextRef context, CFStringRef key);
CG_EXTERN void CGEContextSetAttachmentForKey(CGContextRef context, CFStringRef key, CFTypeRef attachment); // `attachment' may be nil: existing attachment for `key' is removed.
CG_EXTERN CFDictionaryRef CGEContextCopyAttachments(CGContextRef context);

CG_EXTERN_C_END

#endif // CGEContext_H_
