/*!
    @header NSColorBTCGExtensions.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 2007/03/27
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSColor.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGColorSpace.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGColor.h>

/*!
    @category NSColor(BTCGExtensions)
*/
@interface NSColor(BTCGExtensions)

- (CGColorSpaceRef)BT_coreGraphicsColorSpace;
- (CGColorRef)BT_coreGraphicsColor;
- (CGEColorRef)BT_coreGraphicsExtendedColor;

@end
