/*!
    @header NSGraphicsContextBTCGExtensions.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 2007/04/18
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#import <AppKit/NSGraphicsContext.h>
#import <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGContext.h>

/*!
    @category NSGraphicsContext(BTCGExtensions)
*/
@interface NSGraphicsContext(BTCGExtensions)

+ (NSGraphicsContext*)BT_graphicsContextWithCGContext:(CGContextRef)context;

@end
