/*!
    @header NSThreadBTEventNoting.h
    @project SMKBitmapTools
    @author Alexey Navrotsky
    @creation_date 2008/05/24
    @copyright Copyright (c) 2008 The Software MacKiev Company. All rights reserved.
*/

#import <Foundation/NSThread.h>

@class NSString;

@interface NSThread(BTEventNoting)

- (void)BT_beginNotingEventWithName:(NSString*)eventName;
- (void)BT_endNotingEventWithName:(NSString*)eventName;
- (BOOL)BT_isNotingEventWithName:(NSString*)eventName;

- (void)BT_noteEventWithName:(NSString*)eventName;
- (BOOL)BT_isEventWithNameNoted:(NSString*)eventName;

@end
