/*!
    @header CGEPDFContext.h
    @project SMKCGExtensions
    @author Alexey Navrotsky
    @creation_date 2007/04/25
    @copyright Copyright (c) 2007 The Software MacKiev Company. All rights reserved.
*/

#ifndef CGEPDFContext_H_
#define CGEPDFContext_H_

#include <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGPDFContext.h>
#include <ApplicationServices/../Frameworks/CoreGraphics.framework/Headers/CGGeometry.h>
#include <CoreFoundation/CFData.h>
#include <CoreFoundation/CFDictionary.h>

CG_EXTERN_C_BEGIN

CG_EXTERN CGContextRef CGEPDFContextCreateWithCFData(CFMutableDataRef data, const CGRect* mediaBox, CFDictionaryRef auxiliaryInfo);

CG_EXTERN_C_END

#endif // CGEPDFContext_H_
